/*
Front gateway

Front gateway

API version: 0.0.1
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package openapi

import (
	"encoding/json"
)

// ValidationErrors struct for ValidationErrors
type ValidationErrors struct {
	Kind *string `json:"kind,omitempty"`
	Items *[]ValidationErrorsItems `json:"items,omitempty"`
}

// NewValidationErrors instantiates a new ValidationErrors object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewValidationErrors() *ValidationErrors {
	this := ValidationErrors{}
	var kind string = "validationErrors"
	this.Kind = &kind
	return &this
}

// NewValidationErrorsWithDefaults instantiates a new ValidationErrors object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewValidationErrorsWithDefaults() *ValidationErrors {
	this := ValidationErrors{}
	var kind string = "validationErrors"
	this.Kind = &kind
	return &this
}

// GetKind returns the Kind field value if set, zero value otherwise.
func (o *ValidationErrors) GetKind() string {
	if o == nil || o.Kind == nil {
		var ret string
		return ret
	}
	return *o.Kind
}

// GetKindOk returns a tuple with the Kind field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *ValidationErrors) GetKindOk() (*string, bool) {
	if o == nil || o.Kind == nil {
		return nil, false
	}
	return o.Kind, true
}

// HasKind returns a boolean if a field has been set.
func (o *ValidationErrors) HasKind() bool {
	if o != nil && o.Kind != nil {
		return true
	}

	return false
}

// SetKind gets a reference to the given string and assigns it to the Kind field.
func (o *ValidationErrors) SetKind(v string) {
	o.Kind = &v
}

// GetItems returns the Items field value if set, zero value otherwise.
func (o *ValidationErrors) GetItems() []ValidationErrorsItems {
	if o == nil || o.Items == nil {
		var ret []ValidationErrorsItems
		return ret
	}
	return *o.Items
}

// GetItemsOk returns a tuple with the Items field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *ValidationErrors) GetItemsOk() (*[]ValidationErrorsItems, bool) {
	if o == nil || o.Items == nil {
		return nil, false
	}
	return o.Items, true
}

// HasItems returns a boolean if a field has been set.
func (o *ValidationErrors) HasItems() bool {
	if o != nil && o.Items != nil {
		return true
	}

	return false
}

// SetItems gets a reference to the given []ValidationErrorsItems and assigns it to the Items field.
func (o *ValidationErrors) SetItems(v []ValidationErrorsItems) {
	o.Items = &v
}

func (o ValidationErrors) MarshalJSON() ([]byte, error) {
	toSerialize := map[string]interface{}{}
	if o.Kind != nil {
		toSerialize["kind"] = o.Kind
	}
	if o.Items != nil {
		toSerialize["items"] = o.Items
	}
	return json.Marshal(toSerialize)
}

type NullableValidationErrors struct {
	value *ValidationErrors
	isSet bool
}

func (v NullableValidationErrors) Get() *ValidationErrors {
	return v.value
}

func (v *NullableValidationErrors) Set(val *ValidationErrors) {
	v.value = val
	v.isSet = true
}

func (v NullableValidationErrors) IsSet() bool {
	return v.isSet
}

func (v *NullableValidationErrors) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableValidationErrors(val *ValidationErrors) *NullableValidationErrors {
	return &NullableValidationErrors{value: val, isSet: true}
}

func (v NullableValidationErrors) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableValidationErrors) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}


